#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEC,0xC3,0x1D,0x9D,0x0B,0x75,0xA4,0xC9,0x65,0x4D,0x4C,0x04,
		0xD1,0xC7,0x74,0xC6,0xC5,0x24,0x93,0x09,0x02,0xA6,0x3D,0xC3,
		0xF9,0x17,0x63,0xCB,0xC7,0x84,0xD4,0xF5,0xC1,0x2E,0x0A,0x7A,
		0x92,0x85,0x21,0xD5,0x3D,0x76,0xF6,0xF0,0x83,0x7D,0x69,0x19,
		0x36,0xCA,0x09,0x07,0x40,0x1F,0xC4,0xB0,0x8F,0xA2,0x06,0xE5,
		0xF4,0x5A,0xD5,0xD3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
